summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRamon Fernandez <ramon@mongodb.com>2016-08-24 18:24:30 -0400
committerRamon Fernandez <ramon@mongodb.com>2016-08-24 18:25:46 -0400
commitfe610681014e6e2c7a75d98bff421f4e79c81d9b (patch)
treef95fbbe9ff9d6d47ddd24bdb7e253c8dcd947638
parent29acfafdbbd01a6388ce19bbe1134a0d759bc305 (diff)
downloadmongo-fe610681014e6e2c7a75d98bff421f4e79c81d9b.tar.gz
SERVER-25786 remove buildscripts/update-vendor-wiredtiger
(cherry picked from commit 73ccc56a58ed5a8253e5859e4f528c7dad451831)
-rwxr-xr-xbuildscripts/update-vendor-wiredtiger90
1 files changed, 0 insertions, 90 deletions
diff --git a/buildscripts/update-vendor-wiredtiger b/buildscripts/update-vendor-wiredtiger
deleted file mode 100755
index 4ab52c09bbd..00000000000
--- a/buildscripts/update-vendor-wiredtiger
+++ /dev/null
@@ -1,90 +0,0 @@
-#!/bin/sh
-#
-# Updates src/third_party/wiredtiger contents
-# from github.com/wiredtiger/wiredtiger branch "mongodb-3.2" or the first argument passed
-#
-
-set -o errexit
-
-REMOTEBRANCH="${1:-mongodb-3.2}"
-LOCALBRANCH=$(git symbolic-ref HEAD)
-
-# Ensure working directory is TOPLEVEL/src/third_party
-STARTPWD=$(pwd)
-TOPLEVEL=$(git rev-parse --show-toplevel)
-cd ${TOPLEVEL}/src/third_party
-
-# Write file according to "Content-Disposition: attachment" header. Example:
-# Content-Disposition: attachment; filename=wiredtiger-wiredtiger-2.4.0-109-ge5aec44.tar.gz
-
-rm -f wiredtiger-wiredtiger-*.tar.gz
-curl -OJL https://api.github.com/repos/wiredtiger/wiredtiger/tarball/${REMOTEBRANCH}
-
-TARBALL=$(echo wiredtiger-wiredtiger-*.tar.gz)
-test -f "$TARBALL"
-
-# Delete everything in wiredtiger dir, then selectively undelete
-
-mkdir -p wiredtiger
-(cd wiredtiger;
- rm -rf *;
- git checkout -- .gitignore 'SCons*';
- git checkout -- 'build_*/wiredtiger_config.h')
-
-# Tar options:
-# - Exclude subdirs "api", "test", "src/docs"
-# - Strip 'wiredtiger-wiredtiger-e5aec44/' prefix after exclude applied
-# - Change to dir "wiredtiger" before extracting
-
-tar -x --strip-components 1 \
- --exclude '*/api' --exclude '*/dist/package' --exclude '*/examples' \
- --exclude '*/src/docs' --exclude '*/test' \
- --exclude '*/tools/wtperf_stats' \
- --exclude '*/tools/wtstats/template' \
- -C wiredtiger -f ${TARBALL}
-
-# Add wiredtiger as a remote called 'wt'; ignore errors if it already
-# exists -- fetch will catch any problems
-echo "Fetching latest wiredtiger code; this may take a while..."
-git remote add wt git@github.com:wiredtiger/wiredtiger.git > /dev/null 2>&1 || true
-git fetch wt
-
-# Build a changelog for the revision history
-# - get the githash for this drop from the tarball name
-newhash="`echo $TARBALL | sed -e 's/.*-g\([0-9a-f]*\)\..*/\1/'`"
-[ -z "$newhash" ] && echo "Can't find hash for this drop" && exit 1
-
-# - find the githash from the previous drop from the summary
-oldhash="`git log --format=%s | grep 'Import wiredtiger' | head -n 1 | sed -e's/.*-g\([0-9a-f]*\)\..*/\1/g'`"
-[ -z "$oldhash" ] && echo "Can't find hash for previous drop" && exit 1
-
-# - build the changelog; unfortunately the format is branch-dependant
-case ${REMOTEBRANCH} in
- "mongodb-3.0") format="--format=\"%h %s\"" ;;
- "mongodb-3.2") format="--grep=\"Merge pull\" --format=\"%h %b\"" ;;
- *) echo "${REMOTEBRANCH} is not supported; bailing out" ; exit 1 ;;
-esac
-gitlog="git log $format ${oldhash}..${newhash} wt/${REMOTEBRANCH}"
-changelog="`eval $gitlog`"
-
-echo
-git add wiredtiger
-git commit -m "Import ${TARBALL} from wiredtiger branch ${REMOTEBRANCH}" \
- -m "ref: ${oldhash}..${newhash}" \
- -m "$changelog"
-echo
-git log -n 1
-
-set -o errexit
-cd $STARTPWD
-echo "
-Done applying $TARBALL to $LOCALBRANCH.
-The revision history was computed as follows:
-
- $gitlog
-
-Please review it before you push. You can edit it with:
-
- git commit --amend
-
-"